Bug 1493411 - ipa help command returns traceback when no cache is present [rhel-7.4.z]
Summary: ipa help command returns traceback when no cache is present [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1477243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 07:06 UTC by Oneata Mircea Teodor
Modified: 2017-10-19 15:12 UTC (History)
10 users (show)

Fixed In Version: ipa-4.5.0-21.el7_4.2.2
Doc Type: If docs needed, set a value
Doc Text:
Previously, when using the "ipa help" command for the first time, the help message did not appear. The bug has been fixed to correctly display the help message even if no cache is present. As a result, the help message is displayed even when using the command for the first time.
Clone Of: 1477243
Environment:
Last Closed: 2017-10-19 15:12:49 UTC


Attachments (Terms of Use)
console.log (4.44 KB, text/plain)
2017-09-27 09:42 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2935 normal SHIPPED_LIVE ipa bug fix update 2017-10-19 18:49:19 UTC

Description Oneata Mircea Teodor 2017-09-20 07:06:36 UTC
This bug has been copied from bug #1477243 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Petr Vobornik 2017-09-20 08:28:12 UTC
ipa-4-5:
    9308e63fde736ea4274a280f18c83a4bc2935c81 Store help in Schema before writing to disk
    7352b731169e4f995b3ffe254b9e0cae6b82a763 Disable pylint in get_help function because of type confusion.

Comment 4 Abhijeet Kasurde 2017-09-27 09:40:49 UTC
Verified using IPA version :: 

ipa-server-4.5.0-21.el7_4.2.2.x86_64

Marking this BZ as verified. Please check attachment for log.

Comment 5 Abhijeet Kasurde 2017-09-27 09:42:33 UTC
Created attachment 1331351 [details]
console.log

Comment 7 errata-xmlrpc 2017-10-19 15:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2935


Note You need to log in before you can comment on or make changes to this bug.